\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - dD Spatial Searching

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
List of all members
CGAL::Median_of_rectangle< Traits, SpatialSeparator > Class Template Reference
Splitter Classes

`#include <CGAL/Splitters.h>`

## Definition

Implements the median of rectangle splitting rule.

The splitting dimension is the dimension of the longest side of the rectangle. The splitting value is defined by the median of the coordinates of the data points along this dimension.

Parameters

Expects for the first template argument a model of the concept `SearchTraits`, for example the type `CGAL::Search_traits_3< Cartesian<double> >`.

Expects for the second template argument a model of the concept `SpatialSeparator`. It has as default value the type, `CGAL::Plane_separator<Traits::FT>`.

Is Model Of:
  `Splitter`

See Also
  `Splitter`
  `SpatialSeparator`

Examples:
  Spatial_searching/splitter_worst_cases.cpp.

## Creation
| Median_of_rectangle ()
| Default constructor.
| Median_of_rectangle (unsigned int bucket_size)
| Constructor.